function makeup_artist_menu_open_nav() {
	window.makeup_artist_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function makeup_artist_menu_close_nav() {
	window.makeup_artist_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}

jQuery(function($){
 	"use strict";
 	jQuery('.main-menu > ul').superfish({
		delay: 500,
		animation: {opacity:'show',height:'show'},  
		speed: 'fast'
 	});
});

jQuery(document).ready(function () {
	window.makeup_artist_currentfocus=null;
  	makeup_artist_checkfocusdElement();
	var makeup_artist_body = document.querySelector('body');
	makeup_artist_body.addEventListener('keyup', makeup_artist_check_tab_press);
	var makeup_artist_gotoHome = false;
	var makeup_artist_gotoClose = false;
	window.makeup_artist_responsiveMenu=false;
 	function makeup_artist_checkfocusdElement(){
	 	if(window.makeup_artist_currentfocus=document.activeElement.className){
		 	window.makeup_artist_currentfocus=document.activeElement.className;
	 	}
 	}
 	function makeup_artist_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.makeup_artist_responsiveMenu){
			if (!e.shiftKey) {
				if(makeup_artist_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				makeup_artist_gotoHome = true;
			} else {
				makeup_artist_gotoHome = false;
			}

		}else{

			if(window.makeup_artist_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.makeup_artist_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.makeup_artist_responsiveMenu){
				if(makeup_artist_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					makeup_artist_gotoClose = true;
				} else {
					makeup_artist_gotoClose = false;
				}
			
			}else{

			if(window.makeup_artist_responsiveMenu){
			}}}}
		}
	 	makeup_artist_checkfocusdElement();
	}
});

jQuery('document').ready(function($){
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);
});

jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
	 /*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});
	/*sticky copyright*/
	window.addEventListener('scroll', function() {
	  var sticky = document.querySelector('.copyright-sticky');
	  if (!sticky) return;

	  var scrollTop = window.scrollY || document.documentElement.scrollTop;
	  var windowHeight = window.innerHeight;
	  var documentHeight = document.documentElement.scrollHeight;

	  var isBottom = scrollTop + windowHeight >= documentHeight-100;

	  if (scrollTop >= 100 && !isBottom) {
	    sticky.classList.add('copyright-fixed');
	  } else {
	    sticky.classList.remove('copyright-fixed');
	  }
	});
});

